summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtools/perf/tests/shell/test_intel_pt.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/tools/perf/tests/shell/test_intel_pt.sh b/tools/perf/tests/shell/test_intel_pt.sh
index a3298643884d..17338e6a6f99 100755
--- a/tools/perf/tests/shell/test_intel_pt.sh
+++ b/tools/perf/tests/shell/test_intel_pt.sh
@@ -14,6 +14,21 @@ err_cnt=0
tmpfile=`mktemp`
perfdatafile=`mktemp`
+cleanup()
+{
+ trap - EXIT TERM INT
+ rm -f ${tmpfile}
+ rm -f ${perfdatafile}
+}
+
+trap_cleanup()
+{
+ cleanup
+ exit 1
+}
+
+trap trap_cleanup EXIT TERM INT
+
can_cpu_wide()
{
perf record -o ${tmpfile} -B -N --no-bpf-event -e dummy:u -C $1 true 2>&1 >/dev/null || return 2
@@ -57,8 +72,7 @@ test_system_wide_side_band
count_result $?
-rm -f ${tmpfile}
-rm -f ${perfdatafile}
+cleanup
if [ ${err_cnt} -gt 0 ] ; then
exit 1